<!DOCTYPE html>
<html>
<head>
	<link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/4.7.0/css/font-awesome.min.css">
	{% load static %}
	<title>login page</title>
	<style type="text/css">
		form{
			position:relative;bottom:10px;
			width:23%;
			border-radius:12px;
			color:white;
			font-size:1.5vw;
			background-image:linear-gradient(rgba(0,0,0,0.3),rgba(0,0,0,0.9));
            height:412px;
		

					}
		
		#btn{
			width: 80%;
        	height:30px;
			cursor: pointer;
			border-radius: 3px;
			background-color:#215e28;
			color:white;
			font-size:13px;
			border:none;
		}
		.fa{position:relative;top:5px;
		    color: white;
            font-size:9vw;}
		body{
			background-image:linear-gradient(rgba(0,0,0,0.1),rgba(0,0,0,0.2)), url(/static/image/9.jpg/);
			
			height:500px;
            background-size: cover;
			
			
		}
		a{
			text-decoration: none;
			font-size:2vw;
			color:#160075;

        }
        .input{width: 80%;
            height:30px;
        	border-radius: 3px;
            font-size: 1vw;
        	border:none;
        	background:#bababa;


        }
        p{
        	font-size:2vw;
        }
        #button{
        	color:white;
        	font-size:1vw;
        	background-color:#215e28;
        /*	width:200px;*/
            width: 80%;
        	border:none;
        	border-radius: 3px;
        	/*padding:7px;*/
            height:30px;
        }

        	
	</style>
        
   
        
</head>
<body>
	<center>
		<i class="fa fa-user-circle fa-5x"></i>
		<form method="POST">
			{% csrf_token %}
			

            <h1>Login Here</h1>
			<input class="input"id="id_username" class="p"type="text" name="username" placeholder="Enterusername" required="id_username"><br>
			<span id="span1" style="position:static;"></span>
			<br>
			<input class="input" id="id_password"class="p" type="Password" name="password" placeholder="Enterpassword" required="id_password"><br><br>
			<input type="checkbox" name="Remember">
			<lable style="color:white;">Remember me</lable><br>
			<span id="span2" style="position:static;"></span>
				<br>
			<input id="btn" type="submit" onclick="login()"value="Login" /><br><br>

			Not yet memeber?<br>

			<button id="button"  ><a style="color:white; font-size:13px;"href="{% url 'signnewuser'%}">Register</a></button><br><br>
	     	<b id="error"style="color:#fc5b5b">{{error}}</b> <!--it will store the error-->
		</form>

	        
	</center>

	 <script type="text/javascript">

    	function name() {
    		var nam=document.getElementById('id_username').value;
    		var letter=/^[A-Za-z]+$/;
    		if(nam.trim()=="" || nam.trim()==null){
    			focus()
    			alert("**Please enter username**")
    			return false;
    		}
    		else if(!nam.match(letter)){
    			alert("**Please enter letter only**");
    	
    			return false;
    			
    			
    	    }else{

    
    			return true;
    	    }

    	 }

    	function password(){
    		var pwd=document.getElementById('id_password').value;
   
  	 		if (pwd.trim()=="" || pwd.trim()==null){
    			alert("**Please enter Password**");_
    			
    			return false;
         
            }
            else{
    			return true;
            }
      

    	} 
    	function login(){
    		if(name() && password()){
        


    			return true;
    		}else{
    
    			return false;
    		}
    	}
    	
    </script>
</body>
</html>